Package fr.gouv.vitam.common.exception

# Class VitamClientException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.common.exception.VitamClientException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AccessUnauthorizedException`, `AdminExternalClientException`, `CollectExternalClientException`, `CollectExternalClientInvalidRequestException`, `IngestInternalClientConflictException`, `StorageClientException`, `VitamClientAccessUnavailableDataFromAsyncOfferException`, `VitamClientIllegalAccessRequestOperationOnSyncOfferException`, `VitamClientInternalException`, `WorkerClientException`

public class VitamClientException extends VitamException
Generic exception throws by any vitam java client

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamClientException(String message)`
  Basic constructor to indicate a simple error message without stacktrace
  `VitamClientException(String message, Throwable cause)`
  Constructor used to encapsulate a previously thrown exception but with a custom meaningful message
  `VitamClientException(Throwable cause)`
  Constructor used to encapsulate a previously thrown exception.

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VitamClientException

    public VitamClientException(String message)
    Basic constructor to indicate a simple error message without stacktrace
    Parameters:
      `message` - message to log

  - ### VitamClientException

    public VitamClientException(Throwable cause)
    Constructor used to encapsulate a previously thrown exception. A generic message is used.
    Parameters:
      `cause` - the originating exception

  - ### VitamClientException

    public VitamClientException(String message, Throwable cause)
    Constructor used to encapsulate a previously thrown exception but with a custom meaningful message
    Parameters:
      `message` - the message to log throw threw
      `cause` - the originating exception